PDA

View Full Version : ST2.0.1 package not working



kevin.lin
2 May 2012, 4:39 AM
Hi,

I have download ST2.0.1, and create a sample project. when I tried to create a android package and run on emulator, The package command seems not working. It did not return any error. It just open a new command line. nothing happened.

And also still have problem with Android 4.0 package. I have tried 3 days to make sencha touch 2 working on Android 4.0. Could not figure out. Even I run a default generated project from sencha command, still have errors on the page, The tabpanel does not show icon on home screen, only show a blue squre, but once click action icon, the images will show up.

Just want to know will sencha touch 2 works for Android 4 properly of not? I don't want to spend too much time (already spend 3 weeks to learn sencha frame work, everything goes fine, until I updated my test phone to Android 4) test and make decision the platforms I will used for my current project.

Best Regards

Lin

mitchellsimoens
2 May 2012, 5:23 AM
When you do


sencha app build native

What error do you get? Is it?


[ERROR] Error: Target id is not valid. Use 'android list targets' to get the target ids.

kevin.lin
2 May 2012, 5:40 AM
Hi the code I used for packaging and run on emulator is: sencha package run packager.json
and I did not get any errors, just packaging not working.

C:\work\servers\web\apache-tomcat-6.0.29\webapps\TestAPP1>sencha package run packager.json


C:\work\servers\web\apache-tomcat-6.0.29\webapps\TestAPP1>

kevin.lin
2 May 2012, 5:58 AM
The code: sencha package run packager.json is working for the project which I generated from ST2.0.0.
But when I download ST2.0.1 this morning, and create a project, it stop working.

And any comment on my Android 4.0 issues?

Thanks.

kevin.lin
2 May 2012, 12:27 PM
the problem is caused by the platform type in .json file.

if I use AndroidEmulator, the package will not be created.
if I use Android, the package will be created.

I think this is the bug for ST2.0.1